Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.XmlRpcRequest class.
jala XmlRpcRequest(url, methodName)
A constructor for XmlRpc request objects
parameters

String | url | The url of the XmlRpc entry point
String | methodName | The name of the method to call

methods

- getUrl()

- setProxy(proxyString)

- getProxy()

- setCredentials(username, password)

- getCredentials()

- setTimeout(millis)

- setReadTimeout(millis)

- getTimeout()

- getReadTimeout()

- getMethodName()

- setEncoding(enc)

- setInputEncoding(enc)

- setOutputEncoding(enc)

- getInputEncoding()

- getOutputEncoding()

- setDebug(flag)

- debug()

- execute()

Methods
jala.XmlRpcRequest. getUrl()
Returns the URL of this request
returns

| The URL of this request

jala.XmlRpcRequest. setProxy(proxyString)
Sets the proxy host and port. For Java runtimes < 1.5 this method sets the appropriate system properties (so this has an effect on all requests based on java.net.URL), for all others the proxy is only set for this request.
parameters

String | proxyString | The proxy string in the form 'fqdn:port' (eg. my.proxy.com:3128)

jala.XmlRpcRequest. getProxy()
Returns the proxy object. This method will only return a value if using a java runtime > 1.5
returns

| The proxy to use for this request

see

jala.XmlRpcRequest.setProxy

jala.XmlRpcRequest. setCredentials(username, password)
Sets the credentials for basic http authentication to use with this request.
parameters

String | username | The username
String | password | The password

jala.XmlRpcRequest. getCredentials()
Returns the credentials of this request
returns

| The base46 encoded credentials of this request

jala.XmlRpcRequest. setTimeout(millis)
Sets the connection timeout to the specified milliseconds.
parameters

Number | millis | The timeout to use as connection timeout

jala.XmlRpcRequest. setReadTimeout(millis)
Sets the socket timeout to the specified milliseconds.
parameters

Number | millis | The timeout to use as socket timeout

jala.XmlRpcRequest. getTimeout()
Returns the connection timeout of this request
returns

| The connection timeout value in milliseconds

jala.XmlRpcRequest. getReadTimeout()
Returns the socket timeout of this request
returns

| The socket timeout value in milliseconds

jala.XmlRpcRequest. getMethodName()
Returns the name of the remote function to call
returns

| The name of the remote function

jala.XmlRpcRequest. setEncoding(enc)
Sets both input and output encoding to the specified encoding string
parameters

String | enc | The encoding to use for both input and output. This must be a valid java encoding string.

jala.XmlRpcRequest. setInputEncoding(enc)
Sets the input encoding to the specified encoding string
parameters

String | enc | The encoding to use for input. This must be a valid java encoding string.

jala.XmlRpcRequest. setOutputEncoding(enc)
Sets the output encoding to the specified encoding string
parameters

String | enc | The encoding to use for output. This must be a valid java encoding string.

jala.XmlRpcRequest. getInputEncoding()
Returns the input encoding
returns

| The input encoding used by this request

jala.XmlRpcRequest. getOutputEncoding()
Returns the output encoding
returns

| The output encoding used by this request

jala.XmlRpcRequest. setDebug(flag)
Enables or disables the debug mode. If enabled the xml source of both request and response is included in the result properties 'requestXml' and 'responseXml'
parameters

Boolean | flag | True or false.

jala.XmlRpcRequest. debug()
Returns true if debug is enabled for this request, false otherwise
returns

| True if debugging is enabled, false otherwise

jala.XmlRpcRequest. execute()
Calling this method executes the remote method using the arguments specified.
returns

| The result of this XmlRpc request

jala. XmlRpcRequest.convertArgument(obj)
Helper method for converting a Javascript object into its appropriate Java object.
parameters

Object | obj | The Javascript object to convert

returns

| The appropriate Java representation of the object

jala. XmlRpcRequest.convertResult(obj)
Converts a Java object into its appropriate Javascript representation.
parameters

java.lang.Object | obj | The Java object to convert

returns

| The appropriate Javascript representation of the Java object

jala. XmlRpcRequest.argumentsToString(args)
Helper method to format an arguments array into a string useable for debugging output.
parameters

Object | args | An arguments array

returns

| The arguments array formatted as string

Tue, 25 Nov 2008 16:50:20 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar